
Website Input - Bug #2225

Input doesn't respect any sort of size limit

03/13/2018 12:07 AM - Luke Murphey

Status: Closed Start date: 03/12/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.5.2   

Description

The input doesn't seem to respect any sort of size limit.

This may be hard to implement in mechanize. See http://wwwsearch.sourceforge.net/mechanize/doc.html

See test TestWebInput.test_scrape_page_download_limit for proof.

Associated revisions

Revision 651 - 03/13/2018 09:05 PM - lukemurphey

Fixing issue where inputs could fail when handling large files

Reference #2225

History

#1 - 03/13/2018 06:42 PM - Luke Murphey

Questions:

1. Can read() take a length argument?

1. Yes, it can

import mechanize

opener = mechanize.OpenerFactory(mechanize.SeekableResponseOpener).build_opener()

response = opener.open("http://127.0.0.1:8080/bigfile")

response.read(100)

response.close()

#2 - 03/13/2018 08:45 PM - Luke Murphey

Test via this:

ant test.run_unit -Dtest=TestWebInput.test_scrape_page_download_limit

#3 - 03/13/2018 09:06 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
